/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.business.datagram.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.business.datagram.entity.RtuDatagramInfoEntity;
import org.springblade.modules.business.datagram.vo.RtuDatagramInfoVO;

import java.util.Objects;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class RtuDatagramWrapper extends BaseEntityWrapper<RtuDatagramInfoEntity, RtuDatagramInfoVO> {
    public static RtuDatagramWrapper build() {
        return new RtuDatagramWrapper();
    }


    @Override
    public RtuDatagramInfoVO entityVO(RtuDatagramInfoEntity entity) {
        if (null == entity){
            return null;
        }
        RtuDatagramInfoVO vo = Objects.requireNonNull(BeanUtil.copy(entity, RtuDatagramInfoVO.class));
        return entityVO(vo);
    }

    public RtuDatagramInfoVO entityVO(RtuDatagramInfoVO vo) {

        return vo;
    }
}
